﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace FilesRename
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            folderBrowserDialog1.ShowDialog();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            try
            {
                if (!string.IsNullOrEmpty(folderBrowserDialog1.SelectedPath))
                {
                    string[] filesName = Directory.GetFiles(folderBrowserDialog1.SelectedPath);

                    DirectoryInfo infoD = new DirectoryInfo(folderBrowserDialog1.SelectedPath);
                    FileInfo[] infosF = infoD.GetFiles();

                    if (radioButton1.Checked)
                    {
                        for (int i = 0; i < filesName.Length; i++)
                        {
                            filesName[i] = filesName[i].Replace(folderBrowserDialog1.SelectedPath + "\\", "");
                            filesName[i] = textBox1.Text + " - " + i.ToString() + infosF[i].Extension;
                            infosF[i].CopyTo(folderBrowserDialog1.SelectedPath + "\\" + filesName[i], true);
                            infosF[i].Delete();
                        }
                    }

                    if (radioButton2.Checked)
                    {
                        for (int i = 0; i < filesName.Length; i++)
                        {
                            filesName[i] = filesName[i].Replace(folderBrowserDialog1.SelectedPath + "\\", "");
                            filesName[i] = textBox1.Text + " - " + filesName[i];
                            infosF[i].CopyTo(folderBrowserDialog1.SelectedPath + "\\" + filesName[i], true);
                            infosF[i].Delete();
                        }
                    }

                    Response("Files Rinominati Correttamente", false);
                }
                else
                    Response("Seleziona la cartella dei file da rinominare", true);
            }
            catch
            {
                Response("Si è verificato un errore imprevisto", true);
            }
        }

        private void Response(string resp, bool error)
        {
            if (error)
                labelResponse.ForeColor = Color.Red;
            else
                labelResponse.ForeColor = Color.Green;
            
            labelResponse.Text = resp;
            labelResponse.Visible = true;
        }
    }
}